<template>
	<view class="navbar">
		<view class="back">
			<text class="iconfont icon-fanhui " @click="backLast()"></text>
		</view>
		<slot></slot>
	</view>
	
</template>

<script>
	export default{
		name: 'navBar',
	
		methods:{
			backLast:function(){
				console.log(this.url)
				let pages=getCurrentPages()
				console.log(pages.length,'页面数组')
					uni.reLaunch({
						url:this.url
					})
				
				
			}
		}
	}
</script>

<style lang="scss">
	.navbar {
		font-size: 32upx;
		height: 100upx;
		line-height: 100upx;
		color: #888888;
		position: relative;
		position: fixed;
		top: 0;
		z-index: 9999999;
		width: 100%;
		 background-color: #FFFFFF;
		text-align: center;
		border-bottom: solid 2upx #EFF1F6;
	
		.back {
			height: 100upx;
			width: 100upx;
			text-align: center;
			// background-color: #007AFF;
			position: absolute;
			float: left;
			left: 0upx;
			font-size: 32upx;
		}
	}
</style>
